org.apache.kylin.jdbc

## Class KylinJdbc40Factory

- java.lang.Object
- - org.apache.kylin.jdbc.KylinJdbc41Factory
  - - org.apache.kylin.jdbc.KylinJdbc40Factory

All Implemented Interfaces:
  net.hydromatic.avatica.AvaticaFactory

    public class KylinJdbc40Factory
    extends KylinJdbc41Factory

Author:
  xduo

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.kylin.jdbc.KylinJdbc41Factory

`KylinJdbc41Factory.KylinJdbc41PreparedStatement, KylinJdbc41Factory.KylinJdbc41Statement`

### Constructor Summary

Constructors
Constructor and Description
`KylinJdbc40Factory()`

### Method Summary

### Methods inherited from class org.apache.kylin.jdbc.KylinJdbc41Factory

`getJdbcMajorVersion, getJdbcMinorVersion, newConnection, newDatabaseMetaData, newPreparedStatement, newRemoteClient, newResultSet, newResultSetMetaData, newStatement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinJdbc40Factory

    public KylinJdbc40Factory()